Subject: Re: jt/path-filter-fix

From: Junio C Hamano <[email-masked]>
Date: Wed, 02 Aug 2023 12:20:25 -0700

Taylor Blau <[email-masked]> writes:

> On Wed, Aug 02, 2023 at 11:10:34AM -0700, Junio C Hamano wrote:
>> * jt/path-filter-fix (2023-08-01) 7 commits
>>  - commit-graph: new filter ver. that fixes murmur3
>>  - repo-settings: introduce commitgraph.changedPathsVersion
>>  - t4216: test changed path filters with high bit paths
>>  - t/helper/test-read-graph: implement `bloom-filters` mode
>>  - bloom.h: make `load_bloom_filter_from_graph()` public
>>  - t/helper/test-read-graph.c: extract `dump_graph_info()`
>>  - gitformat-commit-graph: describe version 2 of BDAT
>>
>>  The Bloom filter used for path limited history traversal was broken
>>  on systems whose "char" is unsigned; update the implementation and
>>  bump the format version to 2.
>>
>>  Still under discussion.
>>  cf. <[email-masked]>
>>  source: <[email-masked]>
>
> I am happy with the most recent round, but I think that it is probably a
> little late in the cycle to be merging down such a large change.
>
> I wouldn't be opposed if you did so, but it may be worth waiting until
> we're on the other side of 2.42 so that other reviewers have a chance to

Since I hear some folks (not just Google) base their own edition of
Git on 'next', it probably is a good idea to merge it to 'next' and
have their users help find potential issues in it, as I agree that
the area it touches is important in the correctness department.  Of
course, it is important enough that the topic may very well want to
be cooked longer than the usual "for at least one calendar week" in
'next', so I tend to agree that in a first few batches after the
release may be the best time to have it graduate (if it turns out to
be OK).

Thanks.